# -*- Python -*-
# -*- coding: utf-8 -*-
#
# michael a.g. aïvázis <michael.aivazis@para-sim.com>
# (c) 1998-2022 all rights reserved


# expansion placeholders
date = ""
major = 1
minor = 11
micro = 2
revision = ""


# assemble the version tuple
version = (major, minor, micro, revision)


# decorations for the help system
copyright = "copyright (c) 1998-2022 all rights reserved"

banner = f"""
    journal {major}.{minor}.{micro} revision {revision}
    {copyright}
"""

header = banner + """
author:
    Michael Aïvázis     <michael.aivazis@para-sim.com>
"""

license = header + """
license:
    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

    * Redistribution of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.

    * Redistribution in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in
      the documentation and other materials provided with the
      distribution.

    * Neither the name journal nor the names of its contributors may be
      used to endorse or promote products derived from this software
      without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
    ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
    POSSIBILITY OF SUCH DAMAGE.
"""

acknowledgments = header + """
acknowledgments:

    This work has been funded in part by the U.S. Department of Energy, the
    National Science Foundation, the National Nuclear Safety Administration,
    the National Aeronautics and Space Administration, Orthologue, and
    ParaSim.
"""


# end of file
